Read an inbound source config
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"bacenSystemCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"displayName": "<string>",
"id": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"urgencyEnabled": true,
"bacenSystemFilterCode": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Read an inbound source config
Returns the inbound source config identified by for the authenticated tenant.
GET
/
v1
/
inbound-source-configs
/
{id}
Read an inbound source config
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/inbound-source-configs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"bacenSystemCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialId": "<string>",
"displayName": "<string>",
"id": "<string>",
"intervalSeconds": 123,
"isEnabled": true,
"maxFileSizeBytes": 123,
"retentionDays": 123,
"sourceProduct": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"urgencyEnabled": true,
"bacenSystemFilterCode": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de ruta
Inbound source config UUID
Ejemplo:
"018f3b2a-0c1d-7a2b-9e4f-1a2b3c4d5e6f"
Respuesta
OK
¿Esta página le ayudó?

